//
//  THCustomView.h
//  DelegateExample
//
//  Created by Amit Bijlani on 2/18/14.
//  Copyright (c) 2014 Treehouse. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol THCustomViewDelegate;

@interface THCustomView : UIView

@property (nonatomic, weak) id<THCustomViewDelegate> delegate;


- (void) setText:(NSString *)text;

@end


@protocol THCustomViewDelegate <NSObject>

@optional
- (void) buttonPressed;

@end






