//
//  THViewController.m
//  DelegateExample
//
//  Created by Amit Bijlani on 2/18/14.
//  Copyright (c) 2014 Treehouse. All rights reserved.
//

#import "THViewController.h"
#import "THCustomView.h"

@interface THViewController ()

@property (nonatomic) THCustomView *customView;

@end

@implementation THViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    CGSize frameSize = self.view.frame.size;
    self.customView = [[THCustomView alloc] initWithFrame:CGRectMake(0, (frameSize.height-200)/2 , frameSize.width, 200)];
    self.customView.delegate = self;
    [self.view addSubview:self.customView];
}



@end










